#div-1{
    background-color: green;
    display: block;
    /* div has display block by default */

}

#span-1{
    background-color: purple;
    /* span has display inline by default */
    display: inline-block;
}

#div-2{
    background-color: hotpink;
    display: block;

}

#span-2{
    background-color: red;
    display: inline;
}

#img{
    width: 250px;
    height: 250px;
     /* span has display inline by default */
    display: inline-block;
}

/* We can use hex code */
#p-1{
    background-color: #87cefa;

}

/* We can use color value rgb*/
#p-2{
    background-color: rgb(255, 105, 180);
    width: 60%;

}

#p-3{
    background-color: yellow;
    width: 40%;

}


.sample{
    display: inline-block;
    width: 30%;
    border: 1px solid black;
    text-align: center;
}


.img-float{
    width: 250px;
    height: 250px;
    /* float values = inherit, right, left */
    
}

.box {
    background-color: red;
    border: 1px solid black;
    margin: 5px;
}

.fifty-percent{
    width: 50%;
}

.one-hundred-pixels{
    width: 100px;
}

.parent{
    width: 135px;
    border: 2px solid navy;
}


.background{
    min-height: 20rem;
    background-image: url(https://c4.wallpaperflare.com/wallpaper/43/1003/707/anime-your-name-kimi-no-na-wa-mitsuha-miyamizu-wallpaper-preview.jpg);
    background-repeat: no-repeat;
    background-size: 100%;
    background-position: center;
    background-attachment: scroll;
}
.bg-title{
    color: white;
    text-align: center;
    font-size: 5em;
    margin: 0;
    line-height: 10rem;
}

.container-bg{
    background-color: rgba(0, 0, 0, 0.5);
    min-height: 100vh;
    filter: blur();
}

.parent-element{
    background-color: #81c9ee;
    position: relative;
    padding: 10px;
}

.child-1{
    background-color: grey;
    padding: 10px;
    
}
.child-2{
    background-color: yellow;
    padding: 10px;
    /* left: 10px;
    bottom: 10px; */
    /* postion values = static, relative, absolute, fixed, sticky */
    position: sticky;
    top: 10px;
}
.child-3{
    background-color: grey;
    padding: 10px;
}

.container{
    position: relative;
}

.black-box{
    position: relative;
    z-index: 2;
    border: 2px solid black;
    height: 100px;
    margin: 30px;
    background-color: black;
    color: white;

}

.gray-box{
    position: relative;
    z-index: 1;
    border: 2px solid black;
    height: 100px;
    margin: 30px;
    background-color: gray;
    height: 60px;
    width: 70%;
    left: 50px;
    top: -80px;
    

}
